Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 585328 - sci-visualization/qtiplot-0.9.9.7 version bump
Summary: sci-visualization/qtiplot-0.9.9.7 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: linguas-to-l10n 630332 qt4-removal 641222 641514
  Show dependency tree
 
Reported: 2016-06-07 19:25 UTC by Vincent-Xavier JUMEL
Modified: 2018-01-26 23:20 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent-Xavier JUMEL 2016-06-07 19:25:06 UTC
According to http://www.qtiplot.com/news.html there's a new version for quite a while.
Comment 1 Andreas K. Hüttel gentoo-dev 2016-06-07 20:20:02 UTC
Well... qtiplot upstream decided some time ago that they don't particularly like the GPL. For any 0.9.9 version, no source code is available for download, and the only free download is a runtime-limited binary, as far as I know without import/export filters. 

As someone with a site license (not my decision to buy it) and access to the binary, I asked the author for a copy of the sources some time ago, and got a refusal.

So this is most likely a 'cantfix'.
Comment 2 Andreas K. Hüttel gentoo-dev 2016-06-07 20:21:50 UTC
(In reply to Andreas K. Hüttel from comment #1)
> Well... qtiplot upstream decided some time ago that they don't particularly
> like the GPL. For any 0.9.9 version, no source code is available for
> download, and the only free download is a runtime-limited binary, as far as
> I know without import/export filters. 
> 
> As someone with a site license (not my decision to buy it) and access to the
> binary, I asked the author for a copy of the sources some time ago, and got
> a refusal.
> 
> So this is most likely a 'cantfix'.

Oh and any version that I checked still links statically to the Gnu Scientific Library ( http://www.gnu.org/software/gsl/ ).
Comment 3 Vincent-Xavier JUMEL 2016-06-08 16:38:26 UTC
Ok, thanks for the cantfix. That make the situation clear enough. Maybe Gentoo should drop the package or fix it since it doesnt compile.

I shall fill a bug on the subject.
Comment 4 Andreas Sturmlechner gentoo-dev 2017-11-20 20:03:54 UTC
Since the topic of removal has already come up, and this will be blocking us from dropping Qt4 in the near future, adding treecleaners as next stepp.
Comment 5 Andreas Sturmlechner gentoo-dev 2017-12-15 23:36:07 UTC
This is the only rdep of dev-libs/quazip[qt4].
Comment 6 Larry the Git Cow gentoo-dev 2018-01-26 23:19:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec7ebfc45b95bd0f5e44d0c46a10f6a4d497d6e6

commit ec7ebfc45b95bd0f5e44d0c46a10f6a4d497d6e6
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-01-26 23:16:53 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-01-26 23:16:53 +0000

    sci-visualization/qtiplot: remove last rited package
    
    Closes: https://bugs.gentoo.org/580328
    Closes: https://bugs.gentoo.org/585328
    Closes: https://bugs.gentoo.org/630332
    Closes: https://bugs.gentoo.org/641514

 sci-visualization/qtiplot/Manifest                 |   3 -
 .../files/qtiplot-0.9.7.10-dont-install-qwt.patch  |  22 --
 .../qtiplot/files/qtiplot-0.9.8.6-gold.patch       |  15 --
 .../qtiplot/files/qtiplot-0.9.8.7-kde.patch        |  16 --
 .../files/qtiplot-0.9.8.8-system-gl2ps.patch       |  76 -------
 .../qtiplot/files/qtiplot-0.9.8.9-PyQt4-4.10.patch |  32 ---
 .../files/qtiplot-0.9.8.9-PyQt4-4.11.3.patch       |  32 ---
 .../files/qtiplot-0.9.8.9-adopt_to_alglib3.patch   | 115 ----------
 .../qtiplot-0.9.8.9-crasher_without_internet.patch |  25 ---
 .../qtiplot/files/qtiplot-0.9.8.9-gsl-2.patch      |  36 ---
 .../qtiplot/files/qtiplot-0.9.8.9-origin-2.patch   |  38 ----
 .../qtiplot/files/qtiplot-0.9.8.9-private.patch    |  15 --
 .../qtiplot/files/qtiplot-0.9.8.9-qt48.patch       |  29 ---
 .../files/qtiplot-0.9.8.9-set_col_values.patch     |  18 --
 .../qtiplot/files/qtiplot-0.9.8.9-sip-4.15.patch   |  31 ---
 .../qtiplot/files/qtiplot-0.9.8.9-sip-4.19.patch   |  38 ----
 sci-visualization/qtiplot/metadata.xml             |  26 ---
 .../qtiplot/qtiplot-0.9.8.9-r2.ebuild              | 235 --------------------
 .../qtiplot/qtiplot-0.9.8.9-r3.ebuild              | 238 --------------------
 .../qtiplot/qtiplot-0.9.8.9-r4.ebuild              | 241 ---------------------
 20 files changed, 1281 deletions(-)